#version 430 core

in vec2 fTexcoord;

out vec4 outColor;

uniform sampler2D tex;
layout(location = 1) uniform sampler2D bloomTex;

void main(void) { 
	vec3 sceneColor = texture(tex, fTexcoord).rgb;
	vec3 bloomColor = texture(bloomTex, fTexcoord).rgb;

	outColor = vec4(vec3(sceneColor + bloomColor), 1.0);
}